Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 23 Oct 2020 11:11:14 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Dear Concerned 

I am based in Kuwait and  had placed an order on your online App under Guest with the same details as provided in this email. The order went through the payment gateway and then it threw an error message saying go back to merchant. I immediately received an sms from Centerpoint as below

Sorry, your payment didn’t go through. Please try again at https://centrepoint.app.link/e/B7GpqDVXA9. Please contact your bank if any amount has been debited.

I thought maybe my order did not get through and I tried to book again and the same thing happened. Surprisingly I got the message from the bank that KD 13 was deducted and again KD 13 was deducted. I was shocked as my items were not booked and it was charged from my bank.

Next day I called my bank to report this and they said they cannot do anything from their side and gave me the transaction nos which I will have to give Centerpoint so that they can refund the amounts as thr bank cannot tell if the purchase was made etc which makes sense.

I immediately called Centerpoint call center and they said the app had an issue and I will get my refund after 48 hours. But unfortunately that did not happen. I called the call center again and this time they said there is no order. I explained them that the order did not go thru and I was charged.

At the same time I contacted the chat online with Shivani and the chat looked progressive. She took my bank statement with the deduction to landmark group and I attached the screenshot shots of my sms. It looked smooth and I was expecting my refund back at the earliest. Its been almost 1.5 months and all I'm receiving is emails that we are working on the issue. 

I did not expect such a horrible experience from Centerpoint as I am a regular customer at the stores here in Kuwait. Whoever it is that are reading this i need a call urgently that my feedback has been taken seriously. Its really annoying to follow up like this and it is not fair.

Please I need to have a status update when things can be resolved and when the money can be refunded !!!!!!!!! 

Awaiting your quick feedback. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1611558